package ru.yandex.webmaster3.viewer.http.user.settings.notification2;

import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.storage.notifications.NotificationChannel;
import ru.yandex.webmaster3.storage.user.notification.HostNotificationMode;
import ru.yandex.webmaster3.storage.user.notification.NotificationType;
import ru.yandex.webmaster3.viewer.http.AbstractUserRequest;

/**
 * Created by ifilippov5 on 01.10.18.
 */
public class UpdateHostNotification2AllHostsSettingRequest extends AbstractUserRequest {
    private NotificationType type;
    private HostNotificationMode defaultSettingMode;

    @RequestQueryProperty(required = true)
    public void setType(NotificationType type) {
        this.type = type;
    }

    public NotificationType getType() {
        return type;
    }

    @RequestQueryProperty(required = true)
    public void setDefaultSettingMode(HostNotificationMode defaultSettingMode) {
        this.defaultSettingMode = defaultSettingMode;
    }

    public HostNotificationMode getDefaultSettingMode() {
        return defaultSettingMode;
    }
}
